Skip to main content
POST
Request a refund for an order

Authorizations

x-partner-key
string
header
required

Partner API Key (tk_live_... or tk_test_...)

Path Parameters

orderId
string
required

Order ID (Stripe Session ID)

Example:

"cs_test_abc123"

Response

Refund request processed successfully

message
string
Example:

"Refund processed successfully"

refund_id
string
Example:

"re_abc123"

amount
number
Example:

50

currency
string
Example:

"USD"

status
string
Example:

"REFUNDED"

isIdempotent
boolean
Example:

false

reversedFee
number
Example:

2.5